| Home | Libraries | People | FAQ | More

##### pool_params::ssl_ctx

The SSL context to use for connections using TLS.

###### Synopsis

    boost::optional< asio::ssl::context > ssl_ctx {};

###### Description

If a non-empty value is provided, all connections created by the pool will use the passed context when using TLS. This allows setting TLS options to pool-created connections.

If an empty value is passed (the default) and the connections require TLS, an internal SSL context with suitable options will be created by the pool.